Bug 117662 - squid shouldn't require resolv.conf
Summary: squid shouldn't require resolv.conf
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: squid   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-06 18:23 UTC by Curtis Doty
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-30 11:47:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Curtis Doty 2004-03-06 18:23:26 UTC
According to man 5 resolver:

"On a normally configured system, this file [/etc/resolv.conf] should 
not be necessary.  The only name server to be queried will be on the 
local machine, the domain name is determined from the host name, and 
the domain search path is con-structed from the domain name."

However, squid does not play this way and one must manually add the 
following to squid.conf:

dns_nameservers 127.0.0.1

To prevent squid from failing thusly:

2004/03/06 12:15:52| /etc/resolv.conf: (2) No such file or directory
FATAL: Could not find any nameservers.
       Please check your /etc/resolv.conf file
       or use the 'dns_nameservers' option in squid.conf.
Squid Cache (Version 2.5.STABLE3): Terminated abnormally.

Comment 1 Martin Stransky 2005-06-30 11:47:34 UTC
Let's take a look at bug 126557


Note You need to log in before you can comment on or make changes to this bug.